Skip to main content
POST
Send a mailbox message

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Headers

Idempotency-Key
string

Client-chosen unique key to safely retry the request. Cached for 24h per (mailbox, endpoint, key). Different body with same key returns 409 idempotency_conflict.

Maximum string length: 255

Query Parameters

mailbox_id
string

Mailbox public ID to target when the credential grants access to more than one mailbox. Omit when the credential is scoped to exactly one mailbox.

Body

application/json
subject
string
required

Subject line for the outgoing email.

to
object[]
required

Primary recipients.

Minimum array length: 1
attachments
object[]

Attachments to send with the message.

bcc
object[]

BCC recipients.

cc
object[]

CC recipients.

custom_headers
object

Custom headers to include.

from
object

Sender address. Defaults to mailbox identity.

html_body
string

HTML body.

reply_to
object[]

Reply-To recipients.

text_body
string

Plain text body.

Response

Message queued

meta
object
required
ok
enum<boolean>
required
Available options:
true
data
object
required